<?php

/**
 * Project:     Ant: sources.list generator
 * File:        m-process.php
 *
 * This application is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This application is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */


require_once "lib/init.php";
$dist	= abs(intval($_GET["d"]));
$vers	= abs(intval($_GET["v"]));
$status = abs(intval($_GET["status"]));

header('Content-Type: text/html; charset=utf-8');
if($_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest') {

	switch($status) {
		case '1':
			$result = '[{value:"",text:"Выбрать версию дистрибутива"}';
			$query =& $db->query("SELECT * FROM version v JOIN distribution d ON d.dist_id=v.dist_id WHERE v.dist_id='$dist'");
			while ($query->fetchInto($version, DB_FETCHMODE_ASSOC)) {
				if ($version["vname"]!="") {
					$distname = stripslashes($version["vname"]);
				} else {
					$distname = "";
				}
				$result .= ',{value:"'.$version["version_id"].'",text:"'.stripslashes($version["version"]).' '.$distname.'"}';
			}
			$result .= ']';
			break;
		case '2':
			$result = "# Ant: sources.list generator :: http://track.altlug.ru/projects/show/ant\n\n";
			$result .= $core->getRepList($dist,$vers,$db);
			break;
		case '3':
			$result = "<a href='./get.php?id=".$dist.",".$vers."'>Получить sources.list файлом</a>";
			break;
	}
	print $result;
}

?>
